Skip to content

Delete a department ​

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Delete a department by organization code and department ID.

Method name ​

ManagementClient.deleteDepartment

Request parameters ​

NameTypeIs it required?Default valueDescriptionSample value
departmentIdstringYes-Department system ID (automatically generated by the GenAuth system, cannot be modified)60b49eb83fd80adb96f26e68
organizationCodestringYes-Organization Code (organizationCode)steamory
departmentIdTypestringNodepartment_idThe type of department ID used in this calldepartment_id
tenantIdstringNo-Tenant ID623c20b2a062aaaaf41b17da

Sample code ​

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.deleteDepartment({
    // Replace organization Code and department ID
    organizationCode: "steamory",
    departmentId: "60b49ebxxxxxxadb96f26e68",
    departmentIdType:
      Models.DeleteDepartmentReqDto.departmentIdType.DEPARTMENT_ID,
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response ​

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegment error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data structure ​

IsSuccessDto ​

NameTypeIs it requiredDescriptionSample value
successbooleanyesWhether the operation was successfultrue